### Method

# Gimp Procedure create_config

since: 3.0

#### Declaration [src]

    GimpProcedureConfig*
    gimp_procedure_create_config (
      GimpProcedure* procedure
    )

#### Description [src]

Create a `GimpConfig` with properties that match `procedure`‘s arguments, to be used in `gimp_procedure_run_config()` method.

Available since: 3.0

#### Return value

Type: `GimpProcedureConfig`

The new `GimpConfig`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.